import { GlobOptions } from './util/glob';
import { CSpellUserSettings, Document } from 'cspell-lib';
export interface ConfigInfo {
    source: string;
    config: CSpellUserSettings;
}
export interface FileConfigInfo {
    configInfo: ConfigInfo;
    filename: string;
    text: string;
    languageIds: string[];
}
export declare function readConfig(configFile: string | undefined, root: string | undefined): Promise<ConfigInfo>;
export interface FileInfo {
    filename: string;
    text: string;
}
export declare function fileInfoToDocument(fileInfo: FileInfo, languageId: string | undefined, locale: string | undefined): Document;
export declare function readFileInfo(filename: string, encoding?: string): Promise<FileInfo>;
export declare function readFile(filename: string, encoding?: string): Promise<string>;
/**
 * Looks for matching glob patterns or stdin
 * @param globPatterns patterns or stdin
 */
export declare function findFiles(globPatterns: string[], options: GlobOptions): Promise<string[]>;
export declare function calcFinalConfigInfo(configInfo: ConfigInfo, settingsFromCommandLine: CSpellUserSettings, filename: string, text: string): FileConfigInfo;
